#include <bits/stdc++.h>
using namespace std;
int main(){
	ios_base::sync_with_stdio(0); cin.tie(0); cerr.tie(0); cout.tie(0);
	long long t;
	cin >> t;
	while(t--){
		long long n, m, k;
		cin >> n >> m >> k;
		long long brvecih = n % k;
		long long brmanjih = k - n % k;
		long long minmanje = n / k;
		long long najmanje = ((minmanje * (minmanje + 1)) / 2) * brmanjih + (((minmanje + 2) * (minmanje + 1)) / 2) * brvecih;
		//cout << "brvecih: " << brvecih << "   brmanjih: " << brmanjih << "   minmanje: " << minmanje << "   najmanje: " << najmanje << endl;
		if(najmanje <= m)
			cout << "Tak" << endl;
		else 
			cout << "Nie" << endl;
	}
	return 0;
}